﻿Object subclass: #Caixa
	instanceVariableNames: 'pedido cozinheiro'
	classVariableNames: 'CaixaInstance CozinheiroInstance'
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!
!Caixa commentStamp: 'EOS & HFR 4/24/2007 10:41' prior: 0!
Objeto Caixa, responsavel por totalizar o pedido e liberar o preparo dos pratos!


!Caixa methodsFor: 'as yet unclassified' stamp: 'EOS 4/26/2007 21:52'!
cozinheiro
	"Devolve a referencia para o cozinheiro"
	
	^cozinheiro! !

!Caixa methodsFor: 'as yet unclassified' stamp: 'EOS 4/26/2007 21:51'!
cozinheiro: umCozinheiro
	"Ajusta a referencia para o cozinheiro"
	
	cozinheiro := umCozinheiro.! !

!Caixa methodsFor: 'as yet unclassified' stamp: 'EOS 4/26/2007 21:52'!
fechaPedido: umValor

"Fecha o pedido, receve o valor e devolve o troco"

|troco total|

total := pedido precoTotal.

(total <= umValor) ifTrue:
[
	troco := umValor - total.
	cozinheiro prepara: pedido.
].

^troco.! !

!Caixa methodsFor: 'as yet unclassified' stamp: 'JHNA 4/25/2007 11:49'!
iniciaPedido

"Inicia um pedido devolvendo o pedido criado"

pedido := Pedido new.

^pedido! !

!Caixa methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 13:12'!
initialize
	"Cria um cozinheiro que sera responsavel por providenciar o preparo do prato ao robo"
	
	cozinheiro := Cozinheiro unico.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Caixa class
	instanceVariableNames: ''!

!Caixa class methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 13:14'!
new
	"Reescrevendo o construtor para que a classe seja um singleton"
	
	CaixaInstance = nil ifTrue: [CaixaInstance := Caixa basicNew initialize].
	
	^CaixaInstance.! !

!Caixa class methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 13:10'!
unico

"Devolve a instancia do Caixa. Se o Caixa nao existe devolve uma nova instancia de Caixa caso contrario ele devolve a CaixaInstance"

CaixaInstance = nil ifTrue: [CaixaInstance := Caixa new].

^CaixaInstance! !


Object subclass: #Cardapio
	instanceVariableNames: 'listaDePratos listaDeIngredientes'
	classVariableNames: 'CardapioInstance'
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!
!Cardapio commentStamp: 'EOS & HFR 4/24/2007 10:39' prior: 0!
Representacao do cardapio!


!Cardapio methodsFor: 'as yet unclassified' stamp: 'JHNA 4/25/2007 10:51'!
adiciona: prato
	"Adiciona um prato no cardapio. Se o prato já existir, nao vai adiciona-lo novamente."
	
	| index achou |
	index := 1.
	achou := false.
	[(index <= listaDePratos size) and: [achou = false]] whileTrue: 
	[
		(prato = (listaDePratos at: index)) ifTrue: [achou := true].
		index := index + 1.
	].
	
	achou = false ifTrue: 
	[
		listaDePratos add: prato.
	].! !

!Cardapio methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 10:53'!
adicionaIngrediente: umIngrediente
	"Adiciona um ingrediente no cardapio. Se o ingrediente já existir, nao vai adiciona-lo novamente."
	
	| index achou |
	index := 1.
	achou := false.
	self initializeListaDeIngredientes .
	[listaDeIngredientes size >= index  and: [achou = false]] whileTrue: 
	[
		((listaDeIngredientes  at: index) = umIngrediente ) ifTrue: [achou := true].
		index := index + 1.
	].
	
	achou = false ifTrue: 
	[
		listaDeIngredientes add: umIngrediente .
	].! !

!Cardapio methodsFor: 'as yet unclassified' stamp: 'EOS 4/26/2007 22:08'!
esvaziar
	"Esvazia o cardapio"
		
	listaDePratos removeAll: listaDePratos.! !

!Cardapio methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 10:44'!
initialize
	"Cria a lista de pratos"
	
	listaDePratos := OrderedCollection new.
	listaDeIngredientes := OrderedCollection new.! !

!Cardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 22:15'!
initializeListaDeIngredientes

	listaDeIngredientes isNil ifTrue: [ listaDeIngredientes := OrderedCollection new].! !

!Cardapio methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 10:33'!
listarIngredientes
	"Lista os ingredientes do cardapio"
	
	^ listaDeIngredientes .! !

!Cardapio methodsFor: 'as yet unclassified' stamp: 'JHNA 4/25/2007 09:58'!
listarPratos
	"Lista os pratos do cardapio"
	
	^listaDePratos.! !

!Cardapio methodsFor: 'as yet unclassified' stamp: 'JHNA 4/25/2007 09:59'!
remove: prato
	"Remove um prato do cardapio"
	
	listaDePratos remove: prato.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Cardapio class
	instanceVariableNames: ''!

!Cardapio class methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 12:23'!
new
	"Reescrevendo o construtor para fazer da classe um singleton"
	
	CardapioInstance = nil ifTrue: [CardapioInstance := Cardapio basicNew initialize].
	
	^CardapioInstance.! !

!Cardapio class methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 12:27'!
unico
	"Retorna o cardapio. Se existir, devolve a instancia. Se nao existir, cria um novo"
	
	CardapioInstance := Cardapio new.
	^CardapioInstance.! !


Object subclass: #Cozinheiro
	instanceVariableNames: ''
	classVariableNames: 'CozinheiroInstance'
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!
!Cozinheiro commentStamp: 'EOS & HFR 4/24/2007 10:44' prior: 0!
Classe responsavel por receber o pedido e separar os itens para que o robo possa prepará-los!


!Cozinheiro methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 4/25/2007 10:20'!
initialize
	" Inicia a ação do Cozinheiro"
	
	itemAtual := 0.! !

!Cozinheiro methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 13:16'!
prepara: umPedido
	"Recebe um pedido e prepara os pratos"
	
	| item prato robo listaDeItens index j ingredientes k |
	robo := Robo new.
	listaDeItens := umPedido listaItens.
	index := 1.
	[ index <= (listaDeItens size) ] whileTrue:
		[
			item := listaDeItens at: index.
			
			j := 1.
			prato := item prato.
			ingredientes := prato ingredientes.
			[j <= (item quantidade)] whileTrue:
				[
					k := 1.
					[k <= (ingredientes size)] whileTrue: 
						[
							robo prepara: (ingredientes at: k).
							k := k +1.
						].
					
					robo juntaPrato.
					
					j := j + 1.	
				].
				
			
			index := index + 1.
		].
			
			
	
	! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Cozinheiro class
	instanceVariableNames: ''!

!Cozinheiro class methodsFor: 'as yet unclassified' stamp: 'JHNA 4/25/2007 12:08'!
unico
	"Devolve a instancia do Cozinheiro"
	
	CozinheiroInstance = nil ifTrue: [CozinheiroInstance := Cozinheiro new].
	
	^CozinheiroInstance.! !


Object subclass: #Filtro
	instanceVariableNames: 'filtro'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!

!Filtro methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 14:48'!
adicionaFiltro: umFiltro

	filtro := umFiltro.! !

!Filtro methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 18:54'!
filtrar: umaLista
	
	| lista |

	filtro isNil ifTrue: [ lista := umaLista ]
				ifFalse: [ lista := (filtro filtrar: umaLista )].
	
	^ lista .! !


Filtro subclass: #FiltroIngrediente
	instanceVariableNames: 'ingrediente temIngrediente'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!

!FiltroIngrediente methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 20:19'!
filtrar: umaLista

	| lista adicionar|
	lista := OrderedCollection new.
	
	
	umaLista do: [:prato | 
		adicionar := false.
		
		prato ingredientes do: [:ing | 
				
				((ing asLowercase ) = (ingrediente asLowercase)) ifTrue: [
						adicionar := true.
				].
								
		].
	
		temIngrediente
			ifTrue:[
			
				adicionar ifTrue: [
					lista add: prato .
				].
			]
			ifFalse: [
				
				adicionar ifFalse: [
					lista add: prato.
				]
			]
		
	].

	(filtro isNil) ifFalse: [ ^ filtro filtrar: lista]
				ifTrue: [ ^ lista]
	! !

!FiltroIngrediente methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 19:53'!
ingrediente: umIngrediente

	ingrediente := umIngrediente .! !

!FiltroIngrediente methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 19:52'!
initialize

	ingrediente := ''.! !

!FiltroIngrediente methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 19:55'!
temIngrediente: aBool

	temIngrediente := aBool.! !


Filtro subclass: #FiltroPreco
	instanceVariableNames: 'preco maiorQue'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!

!FiltroPreco methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 18:30'!
filtrar: umaLista

	| listaTemp prato index |
	index := 1.
	listaTemp := OrderedCollection new.
	
	[umaLista size >= index] whileTrue: [
		
		prato := umaLista at: index.
		
		(maiorQue)
			ifTrue: [
			
				(prato preco > preco) ifTrue: [
					listaTemp add: prato.
				]]
			ifFalse: [
				(prato preco <= preco) ifTrue: [
					listaTemp add: prato.
				]].	

		index := index + 1.		
	].

	(filtro isNil) ifTrue: [ ^ listaTemp]
				ifFalse: [ ^ filtro filtrar: listaTemp]! !

!FiltroPreco methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 17:56'!
maiorQue: oPreco
	
	preco := oPreco.
	maiorQue := true.! !

!FiltroPreco methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 17:57'!
menorQue: oPreco
	
	preco := oPreco.
	maiorQue := false.! !


!FiltroPreco methodsFor: 'initialization' stamp: 'EOS & HFR 6/5/2007 17:55'!
initialize

	maiorQue := true.
	preco := 0.! !


Filtro subclass: #FiltroTempoPreparo
	instanceVariableNames: 'minutos maiorQue'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!

!FiltroTempoPreparo methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 18:19'!
filtrar: umaLista

	| listaTemp index prato |
	
	index := 1.
	listaTemp := OrderedCollection new.
	[umaLista size >= index] whileTrue: [
		
		prato := umaLista at: index.
		
		(maiorQue)
			ifTrue: [
			
				(prato tempoPreparo > minutos) ifTrue: [
					listaTemp add: prato.
				]]
			ifFalse: [
				(prato tempoPreparo <= minutos) ifTrue: [
					listaTemp add: prato.
				]].
			
		
		 index := index + 1.
	].

	(filtro isNil) ifFalse: [ ^ filtro filtrar: listaTemp]
				ifTrue: [ ^ listaTemp]! !

!FiltroTempoPreparo methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 17:56'!
maiorQue: tempoMinutos

	minutos := tempoMinutos.
	maiorQue := true.! !

!FiltroTempoPreparo methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 17:56'!
menorQue: tempoMinutos

	minutos := tempoMinutos.
	maiorQue := false.! !


!FiltroTempoPreparo methodsFor: 'initialization' stamp: 'EOS & HFR 6/5/2007 17:54'!
initialize
	filtro := FiltroPreco new.
	maiorQue := true.
	minutos := 0.! !


Object subclass: #Item
	instanceVariableNames: 'quantidade prato'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!
!Item commentStamp: 'EOS & HFR 4/24/2007 10:40' prior: 0!
Um item do cardapio!


!Item methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 4/25/2007 00:22'!
adiciona: umValor
	"Adiciona uma quantidade do item ao prato"
	
	quantidade := umValor! !

!Item methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 12:53'!
prato
	"Retorna o Prato do item"
	
	^ prato! !

!Item methodsFor: 'as yet unclassified' stamp: 'EOS 4/24/2007 23:41'!
prato: umPrato
	"Seta o prato"
	
	prato := umPrato.
	self adiciona: 1.! !

!Item methodsFor: 'as yet unclassified' stamp: 'EOS 4/24/2007 21:19'!
preco
	"Retorna o preço do Item, que é a quantidade multiplicado pelo preco do prato"

	| precoDoPrato valorTotal |
	precoDoPrato := prato preco.
	valorTotal := precoDoPrato * quantidade.
	^ valorTotal.! !

!Item methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 4/24/2007 16:46'!
quantidade
	"Retorna a quantidade deste item para um determinado prato"

	^ quantidade! !

!Item methodsFor: 'as yet unclassified' stamp: 'EOS 4/24/2007 21:05'!
quantidade: umValor
	" Altera a quantidade do prato"
	
	quantidade := umValor.! !


!Item methodsFor: 'initialization' stamp: 'EOS 4/24/2007 20:27'!
initialize
	"Inicia a quantidade de item com 0 (zero)"
	
	quantidade := 0.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Item class
	instanceVariableNames: ''!

!Item class methodsFor: 'as yet unclassified' stamp: 'JHNA 4/25/2007 09:54'!
novoComPrato: umPrato
	"Cria um novo item com um prato"
	
	| item |
	item := Item new.
	item prato: umPrato.
	item quantidade: 1.
	^ item.! !


Object subclass: #Pedido
	instanceVariableNames: 'listaItens'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!
!Pedido commentStamp: 'EOS & HFR 4/24/2007 10:43' prior: 0!
Um pedido eh composto por varios itens!


!Pedido methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 4/25/2007 00:23'!
adiciona: umItem
	"Adiciona um item a lista do Pedido"
	
	listaItens add: umItem. ! !

!Pedido methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 4/24/2007 23:59'!
initialize
	"Inicia uma Lista para conter os Pedidos"
	
	listaItens := OrderedCollection new.! !

!Pedido methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 12:56'!
itens: umValor
	"Retorna, uma a um, os itens que possui"
	
	^ listaItens at: umValor.! !

!Pedido methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 12:59'!
listaItens
	
	^listaItens.! !

!Pedido methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 4/25/2007 00:25'!
precoTotal
	"Informa o Preço total do Pedido"
	
	| indice total item totalItens |
	indice := 1.
	total := 0.
	totalItens := listaItens size.
	[ indice <= totalItens ] whileTrue:
		[
			item := listaItens at: indice.
			total := total + item preco.
			indice := indice + 1.
		].
	
	^ total
	! !


Object subclass: #Prato
	instanceVariableNames: 'nome preco ingredientes tempoPreparo calorias'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!
!Prato commentStamp: 'EOS & HFR 4/24/2007 10:27' prior: 0!
Representacao de um prato do cardapio!


!Prato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 14:40'!
calorias
	"Retorna as calorias do prato"
	
	^ calorias ! !

!Prato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 14:40'!
calorias: asCalorias
	"Set as calorias do prato"
	
	calorias := asCalorias .
	! !

!Prato methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 15:56'!
id
"Gera o Id baseado no nome do prato (so apaga os espacos entre palavras).
 Ex:
	'suco de laranja' -> 'sucodelaranja'.
	'x-salada' -> 'x-salada'
"

	|idPrato index letra|
	idPrato := ''.
	index := 1.
	
	[index <= nome size] whileTrue: [
		letra := nome at: index.
		(letra isSeparator) ifFalse: [
			idPrato := idPrato , (String with: letra).
		].
		index := index +1.
	].
	
^ idPrato asLowercase.! !

!Prato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 19:51'!
imprimeIngredientes

	|  lista |
	lista := ' '.
	ingredientes do: [:each |
		lista := lista , each.
		lista := lista , ','.
	].

	^ lista.! !

!Prato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 4/24/2007 11:38'!
ingredientes
	"Devolve a lista de ingredientes do prato"
	
	^ ingredientes! !

!Prato methodsFor: 'as yet unclassified' stamp: 'EOS 4/26/2007 22:01'!
ingredientes: umaLista
	"ingredientes do prato"

	ingredientes:= umaLista! !

!Prato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 4/24/2007 10:47'!
nome
	"Retorna o nome do prato"
	
	^ nome! !

!Prato methodsFor: 'as yet unclassified' stamp: 'EOS 4/26/2007 22:01'!
nome: umNome
	"Nome do prato"
	
	nome := umNome.
	! !

!Prato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 4/24/2007 11:34'!
preco
	"Devolve o o preco do prato"

	^ preco! !

!Prato methodsFor: 'as yet unclassified' stamp: 'EOS 4/26/2007 22:02'!
preco: umValor
	"valor do prato"
	
	preco := umValor.
	! !

!Prato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 17:42'!
tempoPreparo

	^tempoPreparo.! !

!Prato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 17:42'!
tempoPreparo: minutos

	tempoPreparo := minutos.! !


!Prato methodsFor: 'initialization' stamp: 'EOS & HFR 6/12/2007 14:43'!
initialize

	nome := ''.
	preco := 0.
	ingredientes := OrderedCollection new.
	tempoPreparo := 0.
	calorias := 0.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Prato class
	instanceVariableNames: ''!

!Prato class methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 18:59'!
novo:  umNome comPreco: umValor
	"Cria um novo prato"
	
	| p |
	p := Prato new.	
	p nome: umNome.
	p preco: umValor.
	^ p! !

!Prato class methodsFor: 'as yet unclassified' stamp: 'EOS 4/26/2007 22:02'!
novo:  umNome comPreco: umValor feitoDe: Ingredientes
	"Cria um novo prato"
	
	| p |
	p := Prato new.	
	p nome: umNome.
	p preco: umValor.
	p ingredientes: Ingredientes.
	^ p! !


Prato subclass: #Ingrediente
	instanceVariableNames: 'ingrediente'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!
!Ingrediente commentStamp: 'EOS & HFR 6/5/2007 15:01' prior: 0!
Esta classe representa os ingredientes de um prato!


!Ingrediente methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 16:06'!
ingrediente: umPrato

	ingrediente := umPrato.! !

!Ingrediente methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 11:09'!
nome
"Devolve o nome do Ingrediente"
	
	| nomeDec |
	
	ingrediente isNil ifTrue: [nomeDec := '']
						ifFalse: [ nomeDec := ingrediente nome ,' ' ].

	^ nomeDec , nome.! !

!Ingrediente methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 16:05'!
nome: umNome 
"Atribui um nome ao ingrediente"
	nome := umNome.! !

!Ingrediente methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 22:26'!
preco
"Devolve o preço de um Ingrediente"

	| precoDec |
	
	ingrediente isNil ifTrue: [ precoDec := 0 ] ifFalse: [ precoDec := ingrediente preco].
	
	^ precoDec + preco.! !

!Ingrediente methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/5/2007 15:05'!
preco: umPreco
"Atribui um preço ao ingrediente"

	preco := umPreco.! !


!Ingrediente methodsFor: 'initialization' stamp: 'EOS & HFR 6/5/2007 18:37'!
initialize
	nome := ''.
	preco := 0.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Ingrediente class
	instanceVariableNames: ''!

!Ingrediente class methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 22:19'!
novo: umNome comPreco: umPreco
"Cria um ingrediente"

	| ing |
	ing := Ingrediente basicNew.
	ing nome: umNome .
	ing preco: umPreco .
	^ing .
	! !


Object subclass: #Robo
	instanceVariableNames: 'ingrediente'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurant'!
!Robo commentStamp: 'EOS & HFR 4/24/2007 10:44' prior: 0!
Interface de comunicacao com o Robo que ira preparar o prato!


!Robo methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 13:17'!
juntaPrato
	"Junta todos os ingredientes para formar o prato"
	
	Transcript show: 'Prato pronto'; cr.
	
	! !

!Robo methodsFor: 'as yet unclassified' stamp: 'EOS 4/27/2007 13:16'!
prepara: umIngrediente
	"Recebe um ingrediente do Cozinheiro e o prepara"
	
	ingrediente := umIngrediente.
	Transcript show: ingrediente; cr.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

Robo class
	instanceVariableNames: 'estilo'!

!Robo class methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 4/25/2007 10:36'!
novoComEstilo: umaConstante
	"Inicia a instância do robo com um estilo de comida"
	
	estilo := umaConstante! !
