﻿WAComponent subclass: #GerenteMostraItem
	instanceVariableNames: 'prato'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb-Gerente'!

!GerenteMostraItem methodsFor: 'accessing' stamp: 'EOS 6/9/2007 22:23'!
prato

	^prato.! !

!GerenteMostraItem methodsFor: 'accessing' stamp: 'EOS 6/9/2007 22:23'!
prato: umPrato

	prato := umPrato .! !


!GerenteMostraItem methodsFor: 'rendering' stamp: 'EOS 6/10/2007 19:45'!
renderContentOn: html 
	html form: [
		html table: [
			html tableRow: [
				html tableData: [
					html text: 'Nome do Prato: '
				].
				html tableData: [
					html textInput id: 'nome';  value: prato nome;
											callback: [:value | prato nome: value]
				].
			].
			
			html tableRow: [
				html tableData: [
						html text: 'Preço'
				].
				html tableData: [
						html textInput id: 'preco'; value: prato preco;
										callback: [:value | prato preco: value]
				]
			]
		].
		
		html submitButton 
				callback: [self answer];
				id: 'prato';
				text: 'Pronto'.
		"html submitButton 
				callback: [self answer: nil];
				text: 'Cancelar'."
	].! !


!GerenteMostraItem methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 11:40'!
updateRoot: aRoot
	super updateRoot: aRoot.
	aRoot title: 'Edição do ', (prato nome).! !


WAComponent subclass: #GerenteMostrarCardapio
	instanceVariableNames: 'cardapio'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb-Gerente'!

!GerenteMostrarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 19:30'!
adicionarPrato

	self call: (GerenteNovoPrato new).! !

!GerenteMostrarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 19:08'!
apagaPrato: umPrato

	cardapio := Cardapio unico.
	
	cardapio listarPratos do: [ :each |
		
		(each = umPrato ) ifTrue: [
			cardapio remove: each.
		]
		
	].! !

!GerenteMostrarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 21:24'!
editarPrato: umPrato

	self call: (GerenteMostraItem new prato: umPrato ).! !

!GerenteMostrarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 11:34'!
geraIdPrato: nomePrato
	|idPrato index letra|
	idPrato := ''.
	index := 1.
	
	[index <= nomePrato size] whileTrue: [
		letra := nomePrato at: index.
		(letra isSeparator) ifFalse: [
			idPrato := idPrato , (String with: letra).
		].
		index := index +1.
	].
	
^ idPrato asLowercase.! !

!GerenteMostrarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 21:24'!
mostraPrato: umPrato on: html

	html table: [
		html tableRow: [
			html tableData: [
				html anchor  id: (self geraIdPrato: umPrato nome );
					 callback: [ self editarPrato: umPrato]; with: umPrato nome.
			].
			html tableData: [
				html anchor id: 'rm-', (self geraIdPrato: umPrato nome );
					callback: [ self apagaPrato: umPrato ];
					with: 'Apagar'
			].
		].
	].! !

!GerenteMostrarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 11:54'!
updateRoot: aRoot
	super updateRoot: aRoot.
	aRoot title: 'Edição do Cardápio'! !


!GerenteMostrarCardapio methodsFor: 'rendering' stamp: 'EOS 6/10/2007 21:16'!
renderContentOn: html

	cardapio := Cardapio unico .

	html div 
		class: 'items';
		with: [
				cardapio listarPratos do: [:each |
					self mostraPrato: each on: html ]
			].
	html break.
	html anchor id: 'adicionar';
			callback: [ self adicionarPrato ];
			with: 'Adicionar prato'.
	html break.
	html anchor id: 'voltar';
			callback: [ self answer];
			with: 'Voltar'.! !


WAComponent subclass: #GerenteNovoPrato
	instanceVariableNames: 'prato'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb-Gerente'!

!GerenteNovoPrato methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 21:43'!
adicionaPrato: umPrato
	
	| cardapio achou |
	cardapio := Cardapio unico.
	achou := false.
	cardapio listarPratos do: [:each |
				
		((RestauranteUtils geraIdPrato: (each nome) ) = (RestauranteUtils geraIdPrato: (umPrato nome))) ifTrue: [
			achou := true.
		].
	].
	
	achou ifFalse: [
				cardapio adiciona: umPrato .
				self answer.
			]
			ifTrue: [
				self inform: 'Já existe um prato com esse nome'.
			].! !

!GerenteNovoPrato methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 21:36'!
initialize! !

!GerenteNovoPrato methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 17:10'!
updateRoot: aRoot
	super updateRoot: aRoot .
	aRoot title: 'Novo Prato'.! !


!GerenteNovoPrato methodsFor: 'accessing' stamp: 'EOS 6/10/2007 12:56'!
prato
	
	^prato.! !

!GerenteNovoPrato methodsFor: 'accessing' stamp: 'EOS 6/10/2007 12:55'!
prato: umPrato
	
	prato := umPrato .! !


!GerenteNovoPrato methodsFor: 'rendering' stamp: 'EOS 6/10/2007 21:36'!
renderContentOn: html

	prato := Prato new.
	html form: [
		html table: [
			html tableRow: [
				html tableData: [
					html text: 'Nome'.
				].
				html tableData: [
					html textInput id: 'nome';
							callback: [:value | prato nome: value ].
				].
			].
			html tableRow: [
				html tableData: [
					html text: 'Preço'.
				].
				html tableData: [
					html textInput id: 'preco';
							callback: [:value | prato preco: value ].
				].
			].
			html tableRow: [
				html tableData: [
					html text: 'Ingredientes'.
				].
				html tableData: [
					html textInput id: 'ingredientes';
						callback: [:value | prato ingredientes: value ].
				].
			]
		].
		
		html submitButton 
			id: 'prato';
			callback: [self adicionaPrato: prato];
			text: 'Criar Prato'.
		html submitButton 
			callback: [self answer];
			text: 'Cancelar'.
			
	].! !


WAComponent subclass: #GerentePrincipal
	instanceVariableNames: 'cardapio task'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb-Gerente'!

!GerentePrincipal methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 21:19'!
editar
	
	| prato |
	prato := self call: (GerenteMostrarCardapio new).! !

!GerentePrincipal methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 21:20'!
editar: umPrato
	
	self call: (GerenteMostraItem  new prato: umPrato ).! !

!GerentePrincipal methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 21:25'!
mostraCardapio
	
	self call: (GerenteMostrarCardapio new).! !

!GerentePrincipal methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 21:19'!
renderContentOn: html

	html anchor id: 'editar';
			callback: [ self mostraCardapio];
			with: 'Editar'.
	html break.! !


WAComponent subclass: #GerenteRemovePrato
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb-Gerente'!

!GerenteRemovePrato methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 17:19'!
apagaPrato: umPrato

	| cardapio |
	cardapio := Cardapio unico.
	
	cardapio listarPratos do: [ :each |
		
		(each = umPrato ) ifTrue: [
			cardapio remove: each.
		]
		
	].

	self answer .! !

!GerenteRemovePrato methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 18:08'!
renderContentOn: html

	| cardapio |
	cardapio := Cardapio unico .

	html div 
		class: 'items';
		with: [
				cardapio listarPratos do: [:each |
					html anchor 
						callback: [self apagaPrato: each ];
						text: each nome.
					html break.
				].
			]! !


WAComponent subclass: #GerenteRestaurante
	instanceVariableNames: 'cardapio task'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb-Gerente'!

!GerenteRestaurante methodsFor: 'as yet unclassified' stamp: 'EOS 6/9/2007 22:10'!
children
	^Array with: task! !


!GerenteRestaurante methodsFor: 'initialization' stamp: 'EOS 6/9/2007 22:02'!
initialize

	task := GerenteTask new.! !


!GerenteRestaurante methodsFor: 'rendering' stamp: 'EOS 6/9/2007 22:10'!
renderContentOn: html
	
	html div id: 'body'; with: task.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

GerenteRestaurante class
	instanceVariableNames: ''!

!GerenteRestaurante class methodsFor: 'as yet unclassified' stamp: 'EOS 6/9/2007 21:23'!
canBeRoot
	^true! !

!GerenteRestaurante class methodsFor: 'as yet unclassified' stamp: 'EOS & HFR & JHNA 6/13/2007 01:20'!
initialize
	self registerAsApplication: 'examples/GerenteRestaurante'.! !


WATask subclass: #GerenteTask
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb-Gerente'!

!GerenteTask methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 00:32'!
editarPrato: umPrato
	
	self call: (GerenteMostraItem new prato: umPrato ).! !

!GerenteTask methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 19:04'!
go
	
	| prato |

	prato := self mostraCardapio.
	self editarPrato: prato.
	"prato := self novoPrato."	
	"self removePrato."
	! !

!GerenteTask methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 21:10'!
mostraCardapio
	
	"^ self call: (GerenteMostrarCardapio new)."
	self call: (GerentePrincipal  new).! !

!GerenteTask methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 16:58'!
novoPrato
	
	self call: (GerenteNovoPrato new).! !

!GerenteTask methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 17:20'!
removePrato
	
	self call: (GerenteRemovePrato new).! !

GerenteRestaurante initialize!