﻿WAComponent subclass: #ConfirmacaoDeFechamentoDePedido
	instanceVariableNames: 'item pedido troco suceso'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!

!ConfirmacaoDeFechamentoDePedido methodsFor: 'rendering' stamp: 'JH 6/12/2007 21:13'!
renderContentOn: html
	
	suceso _ true.

	(troco asNumber >= 0) ifTrue: [

		html emphasis: 'Troco: '.
		html break.
		html emphasis: 'R$ '.
		html textInput disabled; id: 'troco'; value: troco; size: 6.
		html break.
		html break.
		html anchor id: 'ok'; callback: [ VisualizarCardapio pedidoAberto: 0. self answer: true]; with: 'OK'.
	] ifFalse: [
		html emphasis: 'Valor insuficiente'.
		html break. html break.
		html anchor id: 'voltar'; callback: [suceso _ false. self answer: true]; with: 'Voltar'.
		html space.
		html anchor id: 'cancelar'; callback: [ VisualizarCardapio pedidoAberto: 0. self answer: false. ]; with: 'Cancelar'.
	]
! !

!ConfirmacaoDeFechamentoDePedido methodsFor: 'rendering' stamp: 'JH 6/12/2007 21:05'!
suceso
 ^ suceso.! !

!ConfirmacaoDeFechamentoDePedido methodsFor: 'rendering' stamp: 'JH 6/12/2007 17:33'!
updateRoot: aRoot
	super updateRoot: aRoot .
	aRoot title: 'Fechamento de Pedido'.! !


!ConfirmacaoDeFechamentoDePedido methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 19:28'!
troco: valor
	troco _ valor.! !


WAComponent subclass: #FiltroDePratos
	instanceVariableNames: 'filtro listaDePratos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!

!FiltroDePratos methodsFor: 'filtering' stamp: 'EOS 6/12/2007 21:26'!
filtraPorIngrediente: umaLista contem: umIngrediente

	| lista filtroTemp |
	filtroTemp := FiltroIngrediente new.
	filtroTemp temIngrediente: true .
	filtroTemp ingrediente: umIngrediente.
	filtroTemp adicionaFiltro: filtro .
	filtro := filtroTemp.

	lista := filtro filtrar: umaLista.
	^ lista ! !

!FiltroDePratos methodsFor: 'filtering' stamp: 'EOS & HFR 6/12/2007 19:42'!
filtraPorPreco: umaLista menorQue: preco

	| lista filtroTemp |
	filtroTemp := FiltroPreco new.
	filtroTemp menorQue: preco.
	filtroTemp adicionaFiltro: filtro .
	filtro := filtroTemp.

	lista := filtro filtrar: umaLista.
	^ lista ! !

!FiltroDePratos methodsFor: 'filtering' stamp: 'EOS & HFR 6/12/2007 19:09'!
filtraPorTempo: umaLista menorQue: tempo

	| lista filtroTempo |
	filtroTempo := FiltroTempoPreparo new.
	filtroTempo menorQue: tempo.
	filtroTempo adicionaFiltro: filtro .
	filtro := filtroTempo.

	lista := filtro filtrar: umaLista.
	^ lista ! !


!FiltroDePratos methodsFor: 'initialization' stamp: 'EOS & HFR 6/12/2007 14:11'!
initialize
	
	filtro := Filtro new.! !


!FiltroDePratos methodsFor: 'as yet unclassified' stamp: 'EOS 6/12/2007 21:32'!
limpaFiltros

	filtro := Filtro new.
	listaDePratos := Cardapio unico listarPratos  .! !


!FiltroDePratos methodsFor: 'rendering' stamp: 'EOS 6/12/2007 21:38'!
mostraFiltroPorIngrediente: umaLista on: html
	
	html form: [
		html tableData: [
			html strong: 'Filtro por Ingrediente'.
		].
		html tableData: [
			html textInput 
				callback: [ :value | listaDePratos  := (self filtraPorIngrediente: umaLista contem: value ).  ].
		].
	].! !

!FiltroDePratos methodsFor: 'rendering' stamp: 'EOS & HFR 6/12/2007 19:41'!
mostraFiltroPorPreco: umaLista on: html
	
	html form: [
		html tableData: [
			html strong: 'Filtro por Preço'.
		].
		html tableData: [
			html textInput 
				callback: [ :value | listaDePratos  := (self filtraPorPreco: umaLista menorQue: value ).  ].
		].
	].! !

!FiltroDePratos methodsFor: 'rendering' stamp: 'EOS & HFR 6/12/2007 19:37'!
mostraFiltroPorTempo: umaLista on: html
	
	html form: [
		html tableData: [
			html strong: 'Filtro por Tempo de Preparo'.
		].
		html tableData: [
			html textInput 
				callback: [ :value | listaDePratos  := (self filtraPorTempo: umaLista menorQue: value ).  ].
		].
	].! !

!FiltroDePratos methodsFor: 'rendering' stamp: 'EOS & HFR 6/12/2007 19:50'!
mostrarCardapio: umaLista on: html

	html table: [
		html tableRow: [
			html tableData: [
				html strong: 'Prato'.
			].
			html tableData: [
				html strong: 'Ingredientes'.
			].
			html tableData: [
				html strong: 'Tempo de Preparo'.
			].
			html tableData: [
				html strong: 'Preço'.
			].
		].
	
		umaLista do: [:each |
			html tableRow: [
				html tableData: [
					html text: each nome.
				].
				html tableData: [
					html text: each imprimeIngredientes.
				].
				html tableData: [
					html strong: each tempoPreparo.
				].
				html tableData: [
					html strong: each preco.
				].
			].
			
		].
	].! !

!FiltroDePratos methodsFor: 'rendering' stamp: 'EOS & HFR & JHNA 6/13/2007 00:13'!
renderContentOn: html

	| cardapio |
	cardapio := Cardapio unico.
	listaDePratos  isNil ifTrue: [listaDePratos := cardapio listarPratos].
	
	html table: [
		html tableRow: [
			self mostraFiltroPorTempo: listaDePratos on: html.
		].
		html tableRow: [
			self mostraFiltroPorPreco: listaDePratos on: html.
		].
		html tableRow: [
			self mostraFiltroPorIngrediente: listaDePratos on: html.
		].
		
	].
	
	html anchor
		callback: [ self limpaFiltros ];
		with: 'Limpar Filtros'.
	
	html div
		class: 'items';
		with: [
			self mostrarCardapio: listaDePratos on: html.
	].

	html anchor
		callback: [self answer];
		with: 'Cancelar'.! !


WAComponent subclass: #LojaInfo
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!

!LojaInfo methodsFor: 'as yet unclassified' stamp: 'EOS 6/3/2007 12:23'!
info
	^ 'Bem vindo a Fast Food Restaurant WEB'.! !

!LojaInfo methodsFor: 'as yet unclassified' stamp: 'EOS 6/3/2007 12:23'!
renderContentOn: html

	html withLineBreaks: self info.! !


!LojaInfo methodsFor: 'initialization' stamp: 'EOS 6/3/2007 13:24'!
initialize
	super initialize! !


WAComponent subclass: #LojaPrincipal
	instanceVariableNames: 'cardapio caixa main'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'EOS & HFR & JHNA 6/13/2007 00:44'!
barraDeNavegacao: html

"	html anchor callback: [ self mostrarCardapioOn: html.]; with: 'Cardapio'."
	html anchor id: 'pedido'; callback: [ self answer.]; with: 'Novo Pedido'.
	html break.
	html anchor id: 'monta-pedido'; callback: [ self montaCardapio.]; with: 'Montar Prato'.
	html break.
	html anchor id: 'filtrar-pedido'; callback: [ self filtrarPratos.]; with: 'Filtrar Pratos'.
	html break.! !

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'EOS 6/3/2007 00:47'!
caixa: oCaixa

	caixa := oCaixa.! !

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'EOS 6/3/2007 00:46'!
cardapio: oCardapio
	cardapio := oCardapio.! !

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'EOS & HFR & JHNA 6/13/2007 00:12'!
filtrarPratos

	self call: (FiltroDePratos new).! !

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'EOS 6/3/2007 12:21'!
initialize
	
	super initialize.
	main := LojaInfo new.! !

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 18:23'!
main

	^ main := LojaInfo new.! !

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'EOS & HFR & JHNA 6/13/2007 00:11'!
montaCardapio

	self call: (MontaPrato new).! !

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 18:03'!
mostrarCardapio
	
"	main call: (VisualizarCardapio new cardapio: cardapio; main: main)."
	|visCardapio|
	visCardapio := VisualizarCardapio new cardapio: cardapio; main: main.
	main render: visCardapio.! !

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 18:18'!
mostrarCardapioOn: html
	
	main call: (VisualizarCardapio new cardapio: cardapio; main: main).
	self answer: main.
"	|visCardapio|
	visCardapio := VisualizarCardapio new cardapio: cardapio; main: main.
	main _ visCardapio."
! !

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'EOS & HFR & JHNA 6/13/2007 00:13'!
renderContentOn: html
	
	html table: [
		html tableRow: [html tableData colSpan: 3; with: 'Titulo'].
		html tableRow: [
			html tableData id: 'nav'; with: [self barraDeNavegacao: html].
			html tableData id: 'main'; with: main.
			html tableData id: 'pedido'; with: 'Pedido'.
		]
	].! !

!LojaPrincipal methodsFor: 'as yet unclassified' stamp: 'JH 6/12/2007 21:22'!
style

^ '
.TabelaComBorder {
	color: #red;
	border: 1px solid #660000;
}
'.! !


WAComponent subclass: #MontaPrato
	instanceVariableNames: 'prato'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!

!MontaPrato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 10:57'!
adicionaIngrediente: umIngrediente on: umPrato

	| ing | 
	ing := Ingrediente novo: (umIngrediente nome) comPreco: (umIngrediente preco).
	ing ingrediente: umPrato.
	^ing.! !

!MontaPrato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 11:01'!
initialize

	prato := Prato new.! !

!MontaPrato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 11:40'!
preparaPrato

	self answer: prato.! !

!MontaPrato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 11:33'!
refazPrato

	prato := Prato new.! !

!MontaPrato methodsFor: 'as yet unclassified' stamp: 'EOS & HFR 6/12/2007 11:44'!
updateRoot: aRoot
	super updateRoot: aRoot .
	aRoot title: 'Montar Prato'.! !


!MontaPrato methodsFor: 'rendering' stamp: 'EOS & HFR 6/12/2007 11:22'!
mostraIngrediente: umIngrediente on: html

	html tableData: [
		html anchor
		id: (RestauranteUtils geraIdPrato: umIngrediente nome);
		callback: [ prato := self adicionaIngrediente: umIngrediente on: prato ];
		with: umIngrediente nome .
	].

	html tableData: [
		html text: umIngrediente preco.
	].! !

!MontaPrato methodsFor: 'rendering' stamp: 'EOS & HFR 6/12/2007 11:57'!
mostraPrato: html

	html table: [
		html tableRow: [
			html tableData: [
				html strong: 'Ingredientes'.
			].
			html tableData: [
				html div
					id: 'ingredientes';
					with: prato nome .
			].
		].
		html tableRow: [
			html tableData: [
				html strong: 'Preço R$:'.
			].
			html tableData: [
				html div
					id: 'preco';
					with: prato preco .
			].
		].
	].! !

!MontaPrato methodsFor: 'rendering' stamp: 'EOS & HFR & JHNA 6/13/2007 00:11'!
renderContentOn: html
	
	| cardapio |
	cardapio := Cardapio unico.
	
	html table: [
		html tableRow: [
			html tableData: [
				html strong: 'Ingrediente'.
			].
			html tableData: [
				html strong: 'Preço'.
			].
		].
		
		cardapio listarIngredientes do: [:each |
				html tableRow: [
					self mostraIngrediente: each on: html.
				].
		].
	].
	
	html div
		class: 'prato';
		with: [
			self mostraPrato: html.
		].
	
	html  anchor
		callback: [self refazPrato ];
		with: 'Refaz Prato'.
	
	html break.
	
	html anchor  
		callback: [ self preparaPrato];
		with: 'Pronto'.
		
	html space.
	
	html anchor 
		callback: [ self answer. ];
		with: 'Cancelar'.! !


WAComponent subclass: #OnlineRestaurant
	instanceVariableNames: 'task'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!
!OnlineRestaurant commentStamp: 'EOS 5/30/2007 10:34' prior: 0!
Classe principal da aplicação Web do Restaurante!


!OnlineRestaurant methodsFor: 'as yet unclassified' stamp: 'EOS 6/2/2007 21:41'!
children
	^ Array with: task.! !


!OnlineRestaurant methodsFor: 'initialize-release' stamp: 'EOS 6/3/2007 12:51'!
initialize
	super initialize.
	task := RestaurantTask new.! !


!OnlineRestaurant methodsFor: 'rendering' stamp: 'EOS 6/2/2007 21:40'!
renderContentOn: html
	html heading: 'Fast Food Restaurant'.
	
	html div id: 'body'; with: task.
	! !

!OnlineRestaurant methodsFor: 'rendering' stamp: 'JHNA 6/10/2007 19:21'!
updateRoot: aRoot
	super updateRoot: aRoot .
	aRoot title: 'Bem vindo'.! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

OnlineRestaurant class
	instanceVariableNames: ''!

!OnlineRestaurant class methodsFor: 'testing' stamp: 'EOS 5/30/2007 10:45'!
canBeRoot
	^ true! !


!OnlineRestaurant class methodsFor: 'accessing' stamp: 'EOS 5/30/2007 10:40'!
description
	^ 'Aplicação online do Fast Food Restaurant'.! !


!OnlineRestaurant class methodsFor: 'class initialization' stamp: 'EOS 5/30/2007 10:47'!
initialize
	self registerAsApplication: 'examples/FastFoodRestaurant'.! !


WATask subclass: #RestaurantTask
	instanceVariableNames: 'cardapio cardapioView caixa pedido main'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!

!RestaurantTask methodsFor: 'as yet unclassified' stamp: 'EOS 6/2/2007 23:22'!
caixa: oCaixa
	
	caixa := oCaixa.! !

!RestaurantTask methodsFor: 'as yet unclassified' stamp: 'EOS 6/2/2007 23:22'!
cardapio:  oCardapio
	cardapio := oCardapio.! !

!RestaurantTask methodsFor: 'as yet unclassified' stamp: 'JH 6/12/2007 21:07'!
confirmaFechamentoDePedido: troco
	| confirmacao |
	confirmacao _ ConfirmacaoDeFechamentoDePedido new troco: troco.
	self call: (confirmacao).
	
	^ confirmacao suceso.
! !

!RestaurantTask methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 19:36'!
fechaPedido

	^ self call: (VisualizarPedido new pedido: pedido).
! !

!RestaurantTask methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 18:24'!
mostraCardapio

	| lojaPrincipal |
	lojaPrincipal _ LojaPrincipal new cardapio: cardapio.
	self call: (lojaPrincipal).
	main _ lojaPrincipal main.
! !

!RestaurantTask methodsFor: 'as yet unclassified' stamp: 'JH 6/12/2007 20:47'!
preencheCardapio

	| visCardapio |

	visCardapio _ VisualizarCardapio new cardapio: cardapio; main: main; pedido: pedido.

	self call: (visCardapio).
	
	^ visCardapio suceso.
! !


!RestaurantTask methodsFor: 'actions' stamp: 'JH 6/12/2007 21:09'!
go
	| troco ans |
	cardapio := Cardapio unico.
	caixa := Caixa unico.
	ans _ true.

	self isolate: [
		[ans] whileTrue: [
			pedido := caixa iniciaPedido.

			self mostraCardapio.
			(self preencheCardapio) ifTrue: [
				[
					troco _ self fechaPedido.
					self confirmaFechamentoDePedido: troco
				]whileFalse.
			].
		].
	].
! !


Object subclass: #RestauranteUtils
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!
!RestauranteUtils commentStamp: 'EOS 6/10/2007 18:12' prior: 0!
Classe com métodos úteis!


"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

RestauranteUtils class
	instanceVariableNames: ''!

!RestauranteUtils class methodsFor: 'as yet unclassified' stamp: 'EOS 6/10/2007 18:12'!
geraIdPrato: nomePrato 
	| idPrato index letra |
	idPrato := ''.
	index := 1.
	[index <= nomePrato size]
		whileTrue: [letra := nomePrato at: index.
			letra isSeparator
				ifFalse: [idPrato := idPrato
								, (String with: letra)].
			index := index + 1].
	^ idPrato asLowercase! !


WAComponent subclass: #VisualizarCardapio
	instanceVariableNames: 'cardapio main pedido suceso PedidoAberto'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 18:54'!
agregaItemComPrato: umPrato quantidade: umaQuantidade
	
	(umaQuantidade asString = '') ifFalse: [
		| item |
	
		item _ Item novoComPrato: umPrato.
		item quantidade: umaQuantidade asInteger.
		pedido adiciona: item.
	]! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/2/2007 21:35'!
cardapio
	^ cardapio.! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/2/2007 21:54'!
cardapio: umCardapio
	cardapio := umCardapio.! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/3/2007 13:20'!
main: umLojaInfo
	main := umLojaInfo.! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/2/2007 21:37'!
mostraCardapio

	self mostraPratos: self cardapio listarPratos.! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/3/2007 13:21'!
mostraPrato: umPrato
	
	main call: (VisualizarPrato new prato: umPrato).! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 14:23'!
mostraPratos: listaDePratos

	| lista |
	(listaDePratos size = 1) ifTrue: [^ self mostraPratos: listaDePratos first].
	lista := WABatchSelection
		items: listaDePratos
		link: #nome
		text: #preco.
	[self mostraPrato: (main call: lista)] repeat.
! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 18:38'!
pedido: umPedido
	pedido := umPedido.! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'JH 6/12/2007 21:33'!
renderContentOn: html
	(PedidoAberto >= 1) ifTrue: [
		suceso _ false.
		html emphasis: 'Existe um pedido em aberto. (', PedidoAberto asString, ')'.
		html break.
		html anchor id: 'voltar'; callback: [ self answer: false]; with: 'Voltar'.
		^ suceso.
	].

	suceso _ true.

	PedidoAberto _ PedidoAberto + 1.
	
	html table: [
"		html tableRow: [ html tableData with: [self temCardapio: html]]."
		html tableRow: [ html tableData with: 'Escolha seu prato'].
		"html tableRow: [ html tableData with: [self mostraCardapio] ]."
		html tableRow: [
			html tableData with: [
				html form multipart; id: 'fechaPedido'; with: [
					html table class: 'TabelaComBorder'; with: [
						html tableRow: [
							html tableHeading: 'Nome'.
							html tableHeading: 'Preco'.
							html tableHeading: 'Quantidade'.
						].
						cardapio listarPratos do:
							[:assoc | self renderPrato: assoc on: html].
					].
					html break.
					html submitButton text: 'Fechar pedido'; callback: [ self answer: True.].
				].
			].
		].
	].
! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'JH 6/12/2007 16:14'!
renderPrato: prato on: html
	
	html tableRow: [
		html tableData with: prato nome.
		html tableData with: 'R$ ', prato preco asString.
		html tableData with: [
			html textInput id: prato id; size: 8;
				callback:  [:v | self agregaItemComPrato: prato quantidade: v].
		].
	].
! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'JH 6/12/2007 21:30'!
style

^ '
 .TabelaComBorder TR TD,  .TabelaComBorder TR TH {
	border-collapse: collpase;
	border: 1px solid;
}
'.! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'JH 6/12/2007 20:48'!
suceso
	^suceso.! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'EOS 6/3/2007 13:05'!
temCardapio: html
	
	(cardapio isNil) ifTrue: [ html strong:  'Cardapio Nulo']
					ifFalse: [ html strong: 'Cardapio Nao Nulo'].! !

!VisualizarCardapio methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 18:47'!
updateRoot: aRoot
	super updateRoot: aRoot .
	aRoot title: 'Novo Pedido'.! !


!VisualizarCardapio methodsFor: 'initialization' stamp: 'JH 6/12/2007 20:08'!
initialize
	super initialize.
	(PedidoAberto = nil) ifTrue: [ PedidoAberto _ 0.].! !

"-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- "!

VisualizarCardapio class
	instanceVariableNames: ''!

!VisualizarCardapio class methodsFor: 'as yet unclassified' stamp: 'JH 6/12/2007 20:03'!
pedidoAberto
	^ PedidoAberto.! !

!VisualizarCardapio class methodsFor: 'as yet unclassified' stamp: 'JH 6/12/2007 20:18'!
pedidoAberto: flag
	PedidoAberto _ flag.! !


WAComponent subclass: #VisualizarPedido
	instanceVariableNames: 'pedido total valor'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!

!VisualizarPedido methodsFor: 'initialization' stamp: 'JHNA 6/10/2007 19:13'!
initialize
	total _ 0.
	valor _ 0.! !

!VisualizarPedido methodsFor: 'initialization' stamp: 'JH 6/12/2007 21:17'!
renderContentOn: html
	html table: [
		html tableRow: [ html tableData with: 'Confirmacao do Pedido'].
		html tableRow: [
			html tableData with: [
				html form multipart; id: 'calculaTroco'; with: [
					html table class: 'TabelaComBorder'; with: [
						html tableRow: [
							html tableHeading: 'Nome'.
							html tableHeading: 'Preco'.
							html tableHeading: 'Quantidade'.
							html tableHeading: 'Total'.
						].

						pedido listaItens do:
							[:assoc | self renderItem: assoc on: html].

						html tableRow: [
							html tableData: [html span with: 'TOTAL A PAGAR'].
							html tableData: ''.
							html tableData: ''.
							html tableData: [html span with: 'R$ ', total asString].
						].
					].
					html break.
					html span with: 'Quantidade'.
					html space.
					html textInput id: 'valor'; callback: [:v | self valor: v].
					html break.
					html break.
					html submitButton text: 'Calcular Troco'; callback: 
						[ self answer: self troco].
				].
			].
		].
	].
! !


!VisualizarPedido methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 18:41'!
pedido: umPedido
	pedido _ umPedido.! !

!VisualizarPedido methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 19:13'!
troco
	^ valor - total.! !

!VisualizarPedido methodsFor: 'as yet unclassified' stamp: 'JHNA 6/10/2007 19:12'!
valor: umValor
	valor _ umValor! !


!VisualizarPedido methodsFor: 'rendering' stamp: 'JH 6/12/2007 16:16'!
renderItem: item on: html
	
	total _ total + item preco.
	
	html tableRow: [
		html tableData with: item prato nome.
		html tableData with: item prato preco.
		html tableData with: [html textInput size: 8; disabled; id: item prato id; value: item quantidade].
		html tableData with: item preco.
	].
! !

!VisualizarPedido methodsFor: 'rendering' stamp: 'JH 6/12/2007 21:31'!
style

^ '
 .TabelaComBorder TR TD,  .TabelaComBorder TR TH {
	border-collapse: collpase;
	border: 1px solid;
}
'.! !

!VisualizarPedido methodsFor: 'rendering' stamp: 'JHNA 6/10/2007 18:59'!
updateRoot: aRoot
	super updateRoot: aRoot .
	aRoot title: 'Fechamento de Pedido'.! !


WAComponent subclass: #VisualizarPrato
	instanceVariableNames: 'item pedido'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FastFoodRestaurantWeb'!

!VisualizarPrato methodsFor: 'as yet unclassified' stamp: 'EOS 6/3/2007 00:35'!
adicionaPedido: umPrato

	pedido adiciona: umPrato.! !

!VisualizarPrato methodsFor: 'as yet unclassified' stamp: 'EOS 6/2/2007 23:59'!
pedido: umPedido

	pedido := umPedido.! !

!VisualizarPrato methodsFor: 'as yet unclassified' stamp: 'EOS 6/2/2007 22:31'!
prato: umItem
	item := umItem.! !

!VisualizarPrato methodsFor: 'as yet unclassified' stamp: 'EOS 6/3/2007 00:36'!
renderContentOn: html
	
	html heading: item nome.
	html paragraph: item imprimeIngredientes.
	html emphasis: 'R$ '.
	html emphasis: item preco. 
	html form: [
		html submitButton callback: [self adicionaPedido: item]; text: 'Adicionar Prato'.
		html space.
		html submitButton callback: [self answer]; text: 'Done' ]! !

OnlineRestaurant initialize!